| All Verbs | /RestApi/Sitefinity/Analytics/GetDashboardPermissionsForUser | ||
|---|---|---|---|
| All Verbs | /RestApi/GetDashboardPermissionsForUser |
"use strict";
export class GetDashboardPermissionsForUserMessage {
/** @param {{UserName?:string,UserId?:string,SiteId?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
UserName;
/** @type {string} */
UserId;
/** @type {string} */
SiteId;
}
export class DashboardPermission {
/** @param {{DashboardId?:string,CanView?:boolean}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
DashboardId;
/** @type {boolean} */
CanView;
}
export class GetDashboardPermissionsForUserData {
/** @param {{Permissions?:DashboardPermission[],IsAdmin?:boolean,IsAdminRole?:boolean}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {DashboardPermission[]} */
Permissions;
/** @type {boolean} */
IsAdmin;
/** @type {boolean} */
IsAdminRole;
}
JavaScript GetDashboardPermissionsForUserMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetDashboardPermissionsForUser HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<GetDashboardPermissionsForUserMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<SiteId>00000000-0000-0000-0000-000000000000</SiteId>
<UserId>00000000-0000-0000-0000-000000000000</UserId>
<UserName>String</UserName>
</GetDashboardPermissionsForUserMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetDashboardPermissionsForUserData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<IsAdmin>false</IsAdmin>
<IsAdminRole>false</IsAdminRole>
<Permissions xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.Model">
<d2p1:DashboardPermission>
<d2p1:CanView>false</d2p1:CanView>
<d2p1:DashboardId>00000000-0000-0000-0000-000000000000</d2p1:DashboardId>
</d2p1:DashboardPermission>
</Permissions>
</GetDashboardPermissionsForUserData>